
QGIS Application - Bug report #8235

Attribute will be NULL, after using field calculator at attribute table

2013-07-08 03:36 AM - KOSUKE ASAHI

Status: Closed

Priority: Severe/Regression

Assignee:

Category:

Affected QGIS version:master Regression?: No

Operating System: windows Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 17047

Description

Tested QGIS d37e03b installed from OSGeo4W.

- Open ESRI Shapefile

- Put over 10byte character in field calculator's output column at attribute table

- Attribute in output column will be NULL, after save

We know in ESRI Shapefile specification we couldn't put column name over 10byte. Could you put any check logic before save?

Related issues:

Related to QGIS Application - Bug report # 8145: Field calculator does not wo... Closed 2013-06-24

Associated revisions

Revision 7ccd3d0a - 2013-07-09 08:40 PM - Jürgen Fischer

limit shapefile fieldname to 10 in fieldcalculator and add attribute dialog (fixes #8235)

History

#1 - 2013-07-09 01:32 AM - Matthias Kuhn

- Priority changed from Normal to Severe/Regression

#2 - 2013-07-09 06:09 AM - Nathan Woodrow

I can't reproduce here.  My field name is truncated but no data loss.

#3 - 2013-07-09 07:53 AM - Matthias Kuhn

Same as Nathan here. I have to commit twice (I think first time to truncate the field name, second to really commit) but no data loss.

Kosuke, can you add  details about the field type that you are generating?

#4 - 2013-07-09 11:42 AM - Jürgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"7ccd3d0ab9c008791589d4cd4eedfc56370ea2a8".
